<?php
/*
 *
 * Copyright (c) 2016 D6T Internet GmbH projekte@dt-internet.de
 *
 * Author Stefan Bublies, bublies@dt-internet.de
 * @link     https://www.dt-internet.de
 *
 */
if (!defined('TYPO3_MODE')) {
    die('Access denied.');
}

call_user_func(function () {
$frontendLanguageFilePrefix = 'LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:';

// Add ContentElement Contact
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPlugin(
    array(
        'HTML5 Media Element',
        'dti_html5media',
        \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath('dti_html5media')
    ),
    'CType',
    'dti_html5media'
);

// New TCA Fields in TT-Content
$tempColumns = array(
    'dtihtml5audio_source' => array(
        'exclude' => 0,
        'label' => 'HTML5 Audio-Source',
        'config' => array (
            'type'     => 'input',
            'size'     => '15',
            'max'      => '255',
            'checkbox' => '',
            'eval'     => 'trim',
            'wizards'  => array(
                '_PADDING' => 2,
                'link'     => array(
                    'type'         => 'popup',
                    'title'        => 'Link',
                    'icon'         => 'link_popup.gif',
                    'script'       => 'browse_links.php?mode=wizard',
                    'JSopenParams' => 'height=300,width=500,status=0,menubar=0,scrollbars=1',
            'params'   => array(
                'allowedExtensions' => 'mp3,ogg,wav',
                )
                )
            )
        )
    ),
    'dtihtml5video_source' => array(
        'exclude' => 0,
        'label' => 'HTML5 Video Source',
        'config' => array (
            'type'     => 'input',
            'size'     => '15',
            'max'      => '255',
            'checkbox' => '',
            'eval'     => 'trim',
            'wizards'  => array(
                '_PADDING' => 2,
                'link'     => array(
                    'type'         => 'popup',
                    'title'        => 'Link',
                    'icon'         => 'link_popup.gif',
                    'script'       => 'browse_links.php?mode=wizard',
                    'JSopenParams' => 'height=300,width=500,status=0,menubar=0,scrollbars=1',
                )
            )
        )
    ),
    'dtihtml5youtube_source' => array(
        'exclude' => 0,
        'label' => 'YouTube Link',
        'config' => array (
            'type'     => 'input',
            'max'      => '255',
            'eval'     => 'trim',
        )
    ),
    'dtihtml5width' => array(
        'exclude' => 0,
        'label' => 'Width',
        'config' => array (
            'type'     => 'input',
            'max'      => '10',
            'eval'     => 'trim',
        )
    ),
    'dtihtml5height' => array(
        'exclude' => 0,
        'label' => 'Width',
        'config' => array (
            'type'     => 'input',
            'max'      => '10',
            'eval'     => 'trim',
        )
    ),
);

// Add the Fields to TCA
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTCAcolumns(
    'tt_content',
    $tempColumns
);
});

$tca = array(
    'types' => array(
        'dti_html5media' => array(
            'showitem' => '
            --palette--;LLL:EXT:cms/locallang_ttc.xlf:palette.general;general,
            header;' . $frontendLanguageFilePrefix . 'Überschrift,
            dtihtml5audio_source;Audio Datei,
            dtihtml5video_source;Video Datei,
            dtihtml5youtube_source;YouTube Link,
            dtihtml5width;Breite des Videos,
            dtihtml5height;Höhe des Videos,
            --div--;LLL:EXT:cms/locallang_ttc.xlf:tabs.access,
            --palette--;LLL:EXT:cms/locallang_ttc.xlf:palette.visibility;visibility,
            --palette--;LLL:EXT:cms/locallang_ttc.xlf:palette.access;access,
            --div--;LLL:EXT:cms/locallang_ttc.xlf:tabs.extended'
        )
    ),
);

$GLOBALS['TCA']['tt_content'] = array_replace_recursive($GLOBALS['TCA']['tt_content'], $tca);